Bug 112504 - module ncr53c8xx not found during kernel install, aborting
module ncr53c8xx not found during kernel install, aborting
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
http://people.redhat.com/arjanv/2.5/R...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-21 12:07 EST by Robert G. 'Doc' Savage
Modified: 2015-01-04 17:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-10 20:04:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert G. 'Doc' Savage 2003-12-21 12:07:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
rpm install of Arjan's Dec 19 experimental kernel fails on ThinkPad
A22p with fully-up2dated FC1, but no other Dec 19 RPMs installed
(yet). The error message indicated it could not find the ncr53c8xx
module listed in my /etc/modules.conf:

# cat /etc/modules.conf
alias scsi_hostadapter ncr53c8xx
...


Version-Release number of selected component (if applicable):
kernel-2.6.0-1.104

How reproducible:
Always

Steps to Reproduce:
1. # rpm -ivh kernel-2.6.0-1.104.i686.rpm
2.
3.
    

Actual Results:  # rpm -ivh kernel-2.6.0-1.104.i686.rpm
warning: kernel-2.6.0-1.104.i686.rpm: V3 DSA signature: NOKEY, key ID
9d6b4012
Preparing...               
########################################### [100%]
   1:kernel                
########################################### [100%]
No module ncr53c8xx found for kernel 2.6.0-1.104, aborting.
mkinitrd failed

No modifications are made to /boot/grub/grub.conf.

Broken link in /boot:
lrwxrwxrwx    1 root     root           46 Dec 21 10:12
vmlinux-2.6.0-1.104 -> /usr/lib/debug/lib/modules/2.6.0-1.104/vmlinux


Additional info:

Corporate Systems Center (http://corpsys.com) PCI-N host adapter is
installed in ThinkPad full dock. Supports DDS-3 DAT drive.

# cat /proc/scsi/ncr53c8xx/0
  Chip NCR53C810, device id 0x1, revision id 0x1
  On PCI bus 8, device 0, function 0, IRQ 11
  Synchronous period factor 25, max commands per lun 32

/usr/lib/modules/2.6.0-1.104/drivers/scsi/ncr53c8xx.ko does not exist.

The Documentation says the NCR53C810 chip is not supported by the
enhanced sym53c8xx_2.ko driver.
Comment 1 Dave Jones 2004-06-19 11:06:26 EDT
did this get fixed in the current 2.6 kernels ?
Comment 2 Dave Jones 2005-01-10 20:04:44 EST
closing due to inactivity.
Comment 3 Jeff Patterson 2005-02-07 14:33:41 EST
I have this exact problem with fc2 upgrade (kernel 2.6-10). Upgrade
failed on last step (mkinitrd) because ncr53c8xx is not compiled in
2.6 kernels. Downloaded the kernel source (which does contain
drivers/scsi/ncr53c8xx.c) and attempted to recompile but no joy, all
of the NCR tags are missing from the kernel configs and attempts to
add them back in manually from a working 2.4 config threw undefined
symbol errors during make modules. Attempts to force the use of
sym53c8xx results in no scsi sync and kernel panic. I can boot from an
fc2 rescue CD which I assume is a 2.6 kernel which does load the ncr
module.

My drive is an Atlas Quantum IV (uses the 53c810 chip) and the scsi
driver is a symbios 53c895. The sym53c8xx documentation clearly states
that the 53c810 is not supported by the enhanced driver. How can I get
the ncr module to compile??

Note You need to log in before you can comment on or make changes to this bug.